# Pixel Loads

Loads and Uniques metrics for data and event pixels, broken out by referrer and referrer rank, available by day.

### Fields

| Field | Time Windows 	| Rollups 	|
|-------|---------------|-----------|
|Dimensions|
|agg_timestamp|current_day, yesterday, last_X_days, month_to_date|by_day, by_week, by_month|
|advertiser_id|Any|Any|
|advertiser_name|Any|Any|
|agency_id|Any|Any|
|agency_name|Any|Any|
|organization_id|Any|Any|
|pixel_cost_cpm|Any|Any|
|pixel_cost_cpts|Any|Any|
|pixel_cost_pct_cpm|Any|Any|
|pixel_created_onPixel Creation Time|Any|Any|
|pixel_currency|Any|Any|
|pixel_currency_fixed|Any|Any|
|pixel_eligible|Any|Any|
|pixel_external_identifier|Any|Any|
|pixel_id|Any|Any|
|pixel_name|Any|Any|
|pixel_pricing|Any|Any|
|pixel_provider_created_on|Any|Any|
|pixel_provider_execution_by|Any|Any|
|pixel_provider_id|Any|Any|
|pixel_provider_name|Any|Any|
|pixel_provider_provider_tax|Any|Any|
|pixel_provider_status|Any|Any|
|pixel_provider_taxonomy_file|Any|Any|
|pixel_provider_updated_on|Any|Any|
|pixel_provider_vendor_id|Any|Any|
|pixel_rmx_conversion_minutes|Any|Any|
|pixel_rmx_conversion_type|Any|Any|
|pixel_rmx_friendly|Any|Any|
|pixel_rmx_merit|Any|Any|
|pixel_rmx_pc_window_minutes|Any|Any|
|pixel_rmx_pv_window_minutes|Any|Any|
|pixel_segment_op|Any|Any|
|pixel_status|Any|Any|
|pixel_tag_type|Any|Any|
|pixel_tags|Any|Any|
|pixel_type|Any|Any|
|pixel_updated_onPixel Update Time|Any|Any|
|provider_id|Any|Any|
|referrer|Any|Any|
|referrer_rank|Any|Any|
|Metrics|
|loads|Any|Any|
|uniques|Any|Any|

### Pageable
Yes

### Time Windows
current_day, yesterday, last_X_days, month_to_date

### Rollups
all, by_day, by_week, by_month


### Data Retention / Lookback Window
90 days

Endpoint: POST /pixel-loads
Version: 1.0.0
Security: Auth0

## Request fields (application/json):

  - `end_time` (string,null)

  - `fields` (array, required)

  - `filters` (array, required)

  - `filters.field` (string)

  - `filters.filters` (array,null)

  - `filters.filters.field` (string)

  - `filters.filters.filters` (array)
    An array of filters. Required if op is and or or.

  - `filters.filters.op` (string)
    * =: Equals or contains if value is an array
* !=: Not equals
* >: Greater than
* >=: Greater than or equals
* <: Less than
* <=: Less than or equals
* =~: Text contains (case-insensitive)
* and: All filters must match
* or: At least one filter must match
* isNull: Is null
* isNotNull: Is not null

  - `filters.filters.value` (any)

  - `filters.op` (string)
    * =: Equals or contains if value is an array
* !=: Not equals
* >: Greater than
* >=: Greater than or equals
* <: Less than
* <=: Less than or equals
* =~: Text contains (case-insensitive)
* and: All filters must match
* or: At least one filter must match
* isNull: Is null
* isNotNull: Is not null

  - `filters.value` (any)

  - `full_entities` (array,null)

  - `max_results` (integer,null)
    Maximum number of results to return. Only applicable for streaming responses. No limit if absent or null.

  - `order` (array)

  - `order.desc` (boolean)

  - `order.field` (string, required)

  - `order.nulls_last` (boolean)

  - `pagination` (object,null)
    Streaming response if absent or null, Paginated response otherwise

  - `pagination.page_index` (integer)

  - `pagination.page_size` (integer)

  - `rollup` (string, required)

  - `start_time` (string)

  - `time_window` (string)

  - `time_zone` (string)
    Only in supported datasets: campaign, UTC or a time zone name defined in https://www.iana.org/time-zones

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.items_count` (integer)

  - `meta.page_index` (integer)

  - `meta.status` (string)
    Enum: "OK"

  - `meta.total_items_count` (integer)

  - `meta.total_pages` (integer)

  - `results` (array)

## Response 400 fields (application/json):

  - `error_code` (string)
    Example: "BadRequest"

  - `message` (string)
    Example: "field does not exist in this dataset: campaign_id_test"

  - `request_id` (string)
    Example: "74K33s47Yd1ns97E9RZsfFhn1Gj0ehYs"

## Response 401 fields (application/json):

  - `error_code` (string)
    Example: "BadRequest"

  - `message` (string)
    Example: "field does not exist in this dataset: campaign_id_test"

  - `request_id` (string)
    Example: "74K33s47Yd1ns97E9RZsfFhn1Gj0ehYs"

## Response 5XX fields (application/json):

  - `error_code` (string)
    Example: "BadRequest"

  - `message` (string)
    Example: "field does not exist in this dataset: campaign_id_test"

  - `request_id` (string)
    Example: "74K33s47Yd1ns97E9RZsfFhn1Gj0ehYs"


